# ezQuake Manual: MultiView Demos Variables

## mvd_autohud

### Description

Will load different Head Up Display settings when watching MultiView Demos.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
0 | Won't do anything
1 | Will load appropriate config according to current match type. Possible types: 1on1, 4on4, custom. Config is like cfg/mvdhud_4on4.cfg
2 | Will always load cfg/mvdhud_custom.cfg

## mvd_autotrack

### Description

Turns auto-tracking function ON / OFF. This feature can be used while watching MultiView Demo. The client will choose and switch to the best player point of view using appropriate algorithm.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Off
1 | Autodetect current gametype and use the appropriate xonx settings
2 | Force the use of mvd_autotrack_custom* settings
3 | Enables the use of mvd_multitrack_1 - 4 allowing to set seperate algorthms for every window with cl_muiltiview 2-4

You can change the switching algorithm properties using mvd_autotrack_1on1, mvd_autotrack_2on2, etc. variables.

## mvd_autotrack_1on1

### Description

Will be used if mvd_autotrack = 1 and a 1on1 game is played. Its an algorythm for selecting the best player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: %a * %A + 50 * %W + %p + %f

Variable is string.

For a full description read the manual.

## mvd_autotrack_2on2

### Description

Will be used if mvd_autotrack = 1 and a 2on2 game is played. Its an algorythm for selecting the best player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: %a * %A + 50 * %W + %p + %f

Variable is string.

For a full description read the manual.

## mvd_autotrack_4on4

### Description

Will be used if mvd_autotrack = 1 and a 4on4 game is played. Its an algorythm for selecting the best player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: %a * %A + 50 * %W + %p + %f

Variable is string.

For a full description read the manual.

## mvd_autotrack_custom

### Description

Will be used if mvd_autotrack = 2. Its an algorythm for selecting the best player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: %a * %A + 50 * %W + %p + %f

Variable is string.

For a full description read the manual.

## mvd_info

### Description

When watching Multi View Demo (.mvd) you can show a table on the screen with full info about players' status.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Turned ON
0 | Turned OFF

See mvd_info_setup for setting up displayed informations.

## mvd_info_setup

This variable has been updated

### Description

You can change the informations contained in Players' info table. Use following strings in format string:

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: %6n %3f %10l %4a %4h %5W

### Values

value | description
%a | Armor
%f | Frags
%h | Health
%l | Location
%n | Nickname
%p | Powerups
%P | Ping
%v | Value (value calculated by mvd_autotrack)
%w | Best Weapon:ammo

Example: "%p %f %n %l %h" will display powerup, frags, nickname, location and health of each player. See scr_mvdinfo and scr_mvdinfo_setup description for more details.

## mvd_info_show_header

### Description

Will show a line above the mvd_info table telling you wich column is armor/health/location etc.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Turned ON
0 | Turn Off

## mvd_info_x

### Description

You can adjust horizontal placement of Players' info table

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

See scr_mvdinfo and scr_mvdinfo_setup description for more details.

## mvd_info_y

### Description

You can adjust vertical placement of Players' info table

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

See scr_mvdinfo and scr_mvdinfo_setup description for more details.

## mvd_moreinfo

### Description

When playing MultiView Demo (MVD), you can turn on more messages printed in the console, like those you might know from moreinfo command in ktpro. E.g.: Nabbe picked up quad.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | On
0 | Off

## mvd_multitrack_1

### Description

Will be used if mvd_autotrack = 3 and cl_multiview is enabled. Its an algorythm for selecting the best player on viewport 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: %f

Variable is string.

For a full description read the manual.

## mvd_multitrack_2

### Description

Will be used if mvd_autotrack = 3 and cl_multiview is enabled. Its an algorythm for selecting the best player on viewport 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: %W

Variable is string.

For a full description read the manual.

## mvd_multitrack_3

### Description

Will be used if mvd_autotrack = 3 and cl_multiview is enabled. Its an algorythm for selecting the best player on viewport 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: %h

Variable is string.

For a full description read the manual.

## mvd_multitrack_4

### Description

Will be used if mvd_autotrack = 3 and cl_multiview is enabled. Its an algorythm for selecting the best player on viewport 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: %A

Variable is string.

For a full description read the manual.

## mvd_status

### Description

Shows information of the player you are currently tracking. Information includes. taken/dropped items and powerups last 3 runs (including the current one) run is from powerup-took/spawn to powerup-end/death

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Turned ON
0 | Turned OFF

## mvd_status_x

### Description

Adjusts the horizontal placement of mvd_status table

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## mvd_status_y

### Description

Adjusts the vertical placement of mvd_status table

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs